## capstone 2.1.2

=== Makefile ===
# Capstone Disassembly Engine
# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014

include config.mk
include pkgconfig.mk	# package version

ifeq ($(CROSS),)
CC ?= cc
AR ?= ar
RANLIB ?= ranlib
STRIP ?= strip
else
CC = $(CROSS)gcc
AR = $(CROSS)ar
RANLIB = $(CROSS)ranlib
STRIP = $(CROSS)strip
endif

CFLAGS += -fPIC -O3 -Wall -Iinclude

ifeq ($(USE_SYS_DYN_MEM),yes)
CFLAGS += -DUSE_SYS_DYN_MEM
endif

ifneq (,$(findstring yes,$(CAPSTONE_DIET)))
CFLAGS += -DCAPSTONE_DIET
endif

PREFIX ?= /usr
DESTDIR ?=
INCDIR = $(DESTDIR)$(PREFIX)/include

LIBDIR = $(DESTDIR)$(PREFIX)/lib
# on x86_64, we might have /usr/lib64 directory instead of /usr/lib
UNAME_M := $(shell uname -m)
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_M), x86_64)
ifeq (,$(wildcard $(LIBDIR)))
ifneq ($(UNAME_S), Darwin)
LIBDIR = $(DESTDIR)$(PREFIX)/lib64
endif
endif
endif

ifneq ($(UNAME_S),Darwin)
LDFLAGS += -shared
endif

LIBDATADIR = $(LIBDIR)
ifeq ($(UNAME_S), FreeBSD)
LIBDATADIR = $(DESTDIR)$(PREFIX)/libdata
endif
ifeq ($(UNAME_S), DragonFly)
LIBDATADIR = $(DESTDIR)$(PREFIX)/libdata
endif

INSTALL_BIN ?= install
INSTALL_DATA ?= $(INSTALL_BIN) -m0644
INSTALL_LIB ?= $(INSTALL_BIN) -m0755

LIBNAME = capstone


DEP_ARM =
DEP_ARM += arch/ARM/ARMGenAsmWriter.inc
DEP_ARM += arch/ARM/ARMGenDisassemblerTables.inc
DEP_ARM += arch/ARM/ARMGenInstrInfo.inc
DEP_ARM += arch/ARM/ARMGenRegisterInfo.inc
DEP_ARM += arch/ARM/ARMGenSubtargetInfo.inc

LIBOBJ_ARM =
ifneq (,$(findstring arm,$(CAPSTONE_ARCHS)))
	CFLAGS += -DCAPSTONE_HAS_ARM
	LIBOBJ_ARM += arch/ARM/ARMDisassembler.o
	LIBOBJ_ARM += arch/ARM/ARMInstPrinter.o
	LIBOBJ_ARM += arch/ARM/ARMMapping.o
	LIBOBJ_ARM += arch/ARM/ARMModule.o
endif

DEP_ARM64 =
DEP_ARM64 += arch/AArch64/AArch64GenAsmWriter.inc
DEP_ARM64 += arch/AArch64/AArch64GenInstrInfo.inc
DEP_ARM64 += arch/AArch64/AArch64GenSubtargetInfo.inc
DEP_ARM64 += arch/AArch64/AArch64GenDisassemblerTables.inc
DEP_ARM64 += arch/AArch64/AArch64GenRegisterInfo.inc

LIBOBJ_ARM64 =
ifneq (,$(findstring aarch64,$(CAPSTONE_ARCHS)))
	CFLAGS += -DCAPSTONE_HAS_ARM64
	LIBOBJ_ARM64 += arch/AArch64/AArch64BaseInfo.o
	LIBOBJ_ARM64 += arch/AArch64/AArch64Disassembler.o
	LIBOBJ_ARM64 += arch/AArch64/AArch64InstPrinter.o
	LIBOBJ_ARM64 += arch/AArch64/AArch64Mapping.o
	LIBOBJ_ARM64 += arch/AArch64/AArch64Module.o
endif


DEP_MIPS =
DEP_MIPS += arch/Mips/MipsGenAsmWriter.inc
DEP_MIPS += arch/Mips/MipsGenDisassemblerTables.inc
DEP_MIPS += arch/Mips/MipsGenInstrInfo.inc
DEP_MIPS += arch/Mips/MipsGenRegisterInfo.inc
DEP_MIPS += arch/Mips/MipsGenSubtargetInfo.inc

LIBOBJ_MIPS =
ifneq (,$(findstring mips,$(CAPSTONE_ARCHS)))
	CFLAGS += -DCAPSTONE_HAS_MIPS
	LIBOBJ_MIPS += arch/Mips/MipsDisassembler.o
	LIBOBJ_MIPS += arch/Mips/MipsInstPrinter.o
	LIBOBJ_MIPS += arch/Mips/MipsMapping.o
	LIBOBJ_MIPS += arch/Mips/MipsModule.o
endif


DEP_PPC =
DEP_PPC += arch/PowerPC/PPCGenAsmWriter.inc
DEP_PPC += arch/PowerPC/PPCGenInstrInfo.inc
DEP_PPC += arch/PowerPC/PPCGenSubtargetInfo.inc
DEP_PPC += arch/PowerPC/PPCGenDisassemblerTables.inc
DEP_PPC += arch/PowerPC/PPCGenRegisterInfo.inc

LIBOBJ_PPC =
ifneq (,$(findstring powerpc,$(CAPSTONE_ARCHS)))
	CFLAGS += -DCAPSTONE_HAS_POWERPC
	LIBOBJ_PPC += arch/PowerPC/PPCDisassembler.o
	LIBOBJ_PPC += arch/PowerPC/PPCInstPrinter.o
	LIBOBJ_PPC += arch/PowerPC/PPCMapping.o
	LIBOBJ_PPC += arch/PowerPC/PPCModule.o
endif


DEP_X86 =
DEP_X86 += arch/X86/X86GenAsmWriter.inc
DEP_X86 += arch/X86/X86GenAsmWriter1.inc
DEP_X86 += arch/X86/X86GenDisassemblerTables.inc
DEP_X86 += arch/X86/X86GenInstrInfo.inc
DEP_X86 += arch/X86/X86GenRegisterInfo.inc

LIBOBJ_X86 =
ifneq (,$(findstring x86,$(CAPSTONE_ARCHS)))
	CFLAGS += -DCAPSTONE_HAS_X86
	LIBOBJ_X86 += arch/X86/X86DisassemblerDecoder.o
	LIBOBJ_X86 += arch/X86/X86Disassembler.o
	LIBOBJ_X86 += arch/X86/X86IntelInstPrinter.o
	LIBOBJ_X86 += arch/X86/X86ATTInstPrinter.o
	LIBOBJ_X86 += arch/X86/X86Mapping.o
	LIBOBJ_X86 += arch/X86/X86Module.o
endif

LIBOBJ =
LIBOBJ += cs.o utils.o SStream.o MCInstrDesc.o MCRegisterInfo.o
LIBOBJ += $(LIBOBJ_ARM) $(LIBOBJ_ARM64) $(LIBOBJ_MIPS) $(LIBOBJ_PPC) $(LIBOBJ_X86)
LIBOBJ += MCInst.o


PKGCFCGDIR = $(LIBDATADIR)/pkgconfig
API_MAJOR=$(shell echo `grep -e CS_API_MAJOR include/capstone.h | grep -v = | awk '{print $$3}'` | awk '{print $$1}')
VERSION_EXT =

# OSX?
ifeq ($(UNAME_S),Darwin)
EXT = dylib
VERSION_EXT = $(API_MAJOR).$(EXT)
LDFLAGS += -dynamiclib -install_name lib$(LIBNAME).$(VERSION_EXT) -current_version $(PKG_MAJOR).$(PKG_MINOR).$(PKG_EXTRA) -compatibility_version $(PKG_MAJOR).$(PKG_MINOR)
AR_EXT = a
ifneq ($(HOMEBREW_CAPSTONE),1)
ifneq ($(USE_SYS_DYN_MEM),yes)
# remove string check because OSX kernel complains about missing symbols
CFLAGS += -D_FORTIFY_SOURCE=0
endif
# By default, suppose that Brew is installed & use Brew path for pkgconfig file
PKGCFCGDIR = /usr/local/lib/pkgconfig
# is Macport installed instead?
ifneq (,$(wildcard /opt/local/bin/port))
# then correct the path for pkgconfig file
PKGCFCGDIR = /opt/local/lib/pkgconfig
endif
endif
else
# Cygwin?
IS_CYGWIN := $(shell $(CC) -dumpmachine | grep -i cygwin | wc -l)
ifeq ($(IS_CYGWIN),1)
EXT = dll
AR_EXT = dll.a
# Cygwin doesn't like -fPIC
CFLAGS := $(CFLAGS:-fPIC=)
# On Windows we need the shared library to be executable
else
# mingw?
IS_MINGW := $(shell $(CC) --version | grep -i mingw | wc -l)
ifeq ($(IS_MINGW),1)
EXT = dll
AR_EXT = dll.a
# mingw doesn't like -fPIC either
CFLAGS := $(CFLAGS:-fPIC=)
# On Windows we need the shared library to be executable
else
# Linux, *BSD
EXT = so
VERSION_EXT = $(EXT).$(API_MAJOR)
AR_EXT = a
LDFLAGS += -Wl,-soname,lib$(LIBNAME).$(VERSION_EXT)
endif
endif
endif

LIBRARY = lib$(LIBNAME).$(EXT)
ARCHIVE = lib$(LIBNAME).$(AR_EXT)
PKGCFGF = $(LIBNAME).pc

.PHONY: all clean install uninstall dist

all: $(LIBRARY) $(ARCHIVE) $(PKGCFGF)
	$(MAKE) -C tests
	$(INSTALL_DATA) lib$(LIBNAME).$(EXT) tests

$(LIBRARY): $(LIBOBJ)
	$(CC) $(LDFLAGS) $(LIBOBJ) -o $(LIBRARY)

$(LIBOBJ): config.mk

$(LIBOBJ_ARM): $(DEP_ARM)
$(LIBOBJ_ARM64): $(DEP_ARM64)
$(LIBOBJ_MIPS): $(DEP_MIPS)
$(LIBOBJ_PPC): $(DEP_PPC)
$(LIBOBJ_X86): $(DEP_X86)

$(ARCHIVE): $(LIBOBJ)
	rm -f $(ARCHIVE)
	$(AR) q $(ARCHIVE) $(LIBOBJ)
	$(RANLIB) $(ARCHIVE)

$(PKGCFGF):
	echo 'Name: capstone' > $(PKGCFGF)
	echo 'Description: Capstone disassembly engine' >> $(PKGCFGF)
ifeq ($(PKG_EXTRA),)
	echo 'Version: $(PKG_MAJOR).$(PKG_MINOR)' >> $(PKGCFGF)
else
	echo 'Version: $(PKG_MAJOR).$(PKG_MINOR).$(PKG_EXTRA)' >> $(PKGCFGF)
endif
	echo 'libdir=$(LIBDIR)' >> $(PKGCFGF)
	echo 'includedir=$(PREFIX)/include/capstone' >> $(PKGCFGF)
	echo 'archive=$${libdir}/libcapstone.a' >> $(PKGCFGF)
	echo 'Libs: -L$${libdir} -lcapstone' >> $(PKGCFGF)
	echo 'Cflags: -I$${includedir}' >> $(PKGCFGF)

install: $(PKGCFGF) $(ARCHIVE) $(LIBRARY)
	mkdir -p $(LIBDIR)
	# remove potential broken old libs
	rm -f $(LIBDIR)/lib$(LIBNAME).*
	$(INSTALL_LIB) lib$(LIBNAME).$(EXT) $(LIBDIR)
ifneq ($(VERSION_EXT),)
	cd $(LIBDIR) && \
	mv lib$(LIBNAME).$(EXT) lib$(LIBNAME).$(VERSION_EXT) && \
	ln -s lib$(LIBNAME).$(VERSION_EXT) lib$(LIBNAME).$(EXT)
endif
	$(INSTALL_DATA) lib$(LIBNAME).$(AR_EXT) $(LIBDIR)
	mkdir -p $(INCDIR)/$(LIBNAME)
	$(INSTALL_DATA) include/*.h $(INCDIR)/$(LIBNAME)
	mkdir -p $(PKGCFCGDIR)
	$(INSTALL_DATA) $(PKGCFGF) $(PKGCFCGDIR)/

uninstall:
	rm -rf $(INCDIR)/$(LIBNAME)
	rm -f $(LIBDIR)/lib$(LIBNAME).*
	rm -f $(PKGCFCGDIR)/$(LIBNAME).pc

clean:
	rm -f $(LIBOBJ) lib$(LIBNAME).*
	rm -f $(PKGCFGF)
	$(MAKE) -C bindings/python clean
	$(MAKE) -C bindings/java clean
	$(MAKE) -C bindings/ocaml clean
	$(MAKE) -C tests clean


TAG ?= HEAD
ifeq ($(TAG), HEAD)
DIST_VERSION = latest
else
DIST_VERSION = $(TAG)
endif

dist:
	git archive --format=tar.gz --prefix=capstone-$(DIST_VERSION)/ $(TAG) > capstone-$(DIST_VERSION).tgz
	git archive --format=zip --prefix=capstone-$(DIST_VERSION)/ $(TAG) > capstone-$(DIST_VERSION).zip

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

=== bindings/Makefile ===
TMPDIR = /tmp/capstone_test

DIFF = diff -u -w

TEST = $(TMPDIR)/test
TEST_ARM = $(TMPDIR)/test_arm
TEST_ARM64 = $(TMPDIR)/test_arm64
TEST_MIPS = $(TMPDIR)/test_mips
TEST_X86 = $(TMPDIR)/test_x86

.PHONY: all expected python java ocaml

all:
	make -C python gen_const
	make -C java gen_const

tests: expected python java #oclma ruby

test_java: expected java
test_python: expected python

expected:
	$(MAKE) -C ../tests
	mkdir -p $(TMPDIR)
	../tests/test > $(TEST)_e
	../tests/test_arm > $(TEST_ARM)_e
	../tests/test_arm64 > $(TEST_ARM64)_e
	../tests/test_mips > $(TEST_MIPS)_e
	../tests/test_x86 > $(TEST_X86)_e

python: FORCE
	$(MAKE) -C python
	python python/test.py > $(TEST)_o
	python python/test_arm.py > $(TEST_ARM)_o
	python python/test_arm64.py > $(TEST_ARM64)_o
	python python/test_mips.py > $(TEST_MIPS)_o
	python python/test_x86.py > $(TEST_X86)_o
	$(MAKE) test_diff

java: FORCE
	$(MAKE) -C java
	cd java; ./run.sh > $(TEST)_o
	cd java; ./run.sh arm > $(TEST_ARM)_o
	cd java; ./run.sh arm64 > $(TEST_ARM64)_o
	cd java; ./run.sh mips > $(TEST_MIPS)_o
	cd java; ./run.sh x86 > $(TEST_X86)_o
	$(MAKE) test_diff

ocaml: FORCE

test_diff: FORCE
	$(DIFF) $(TEST)_e $(TEST)_o
	$(DIFF) $(TEST_ARM)_e $(TEST_ARM)_o
	$(DIFF) $(TEST_ARM64)_e $(TEST_ARM64)_o
	$(DIFF) $(TEST_MIPS)_e $(TEST_MIPS)_o
	$(DIFF) $(TEST_X86)_e $(TEST_X86)_o

clean:
	rm -rf $(TMPDIR)
	$(MAKE) clean -C java
	$(MAKE) clean -C python

FORCE:

=== bindings/ocaml/Makefile ===
# Capstone Disassembler Engine
# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013>

LIB = capstone
FLAGS = '-Wall -Wextra -Wwrite-strings'

all: arm.cmxa arm64.cmxa mips.cmxa x86.cmxa capstone.cmxa test.cmx test_detail.cmx test_x86.cmx test_arm.cmx test_arm64.cmx test_mips.cmx ocaml.o
	ocamlopt -o test -ccopt $(FLAGS) ocaml.o capstone.cmx test.cmx -cclib -l$(LIB)
	ocamlopt -o test_detail -ccopt $(FLAGS) capstone.cmx ocaml.o test_detail.cmx -cclib -l$(LIB)
	ocamlopt -o test_x86 -ccopt $(FLAGS) capstone.cmx ocaml.o x86.cmx test_x86.cmx -cclib -l$(LIB)
	ocamlopt -o test_arm -ccopt $(FLAGS) capstone.cmx ocaml.o arm.cmx test_arm.cmx -cclib -l$(LIB)
	ocamlopt -o test_arm64 -ccopt $(FLAGS) capstone.cmx ocaml.o arm64.cmx test_arm64.cmx -cclib -l$(LIB)
	ocamlopt -o test_mips -ccopt $(FLAGS) capstone.cmx ocaml.o mips.cmx test_mips.cmx -cclib -l$(LIB)

test.cmx: test.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

test_detail.cmx: test_detail.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

test_x86.cmx: test_x86.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

test_arm.cmx: test_arm.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

test_arm64.cmx: test_arm64.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

test_mips.cmx: test_mips.ml
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

ocaml.o: ocaml.c
	ocamlc -ccopt $(FLAGS) -c $<

capstone.mli: capstone.ml
	ocamlc -ccopt $(FLAGS) -i $< > $@

capstone.cmi: capstone.mli
	ocamlc -ccopt $(FLAGS) -c $<

capstone.cmx: capstone.ml capstone.cmi
	ocamlopt -ccopt $(FLAGS) -c $< -cclib -l$(LIB)

capstone.cmxa: capstone.cmx
	ocamlopt -ccopt $(FLAGS) -a -o $@ $< -cclib -lsb_ocaml -cclib -l$(LIB)

x86.mli: x86.ml
	ocamlc -ccopt $(FLAGS) -i $< > $@

x86.cmi: x86.mli
	ocamlc -ccopt $(FLAGS) -c $<

x86.cmx: x86.ml x86.cmi
	ocamlopt -ccopt $(FLAGS) -c $<

x86.cmxa: x86.cmx
	ocamlopt -ccopt $(FLAGS) -a -o $@ $<

arm.mli: arm.ml
	ocamlc -ccopt $(FLAGS) -i $< > $@

arm.cmi: arm.mli
	ocamlc -ccopt $(FLAGS) -c $<

arm.cmx: arm.ml arm.cmi
	ocamlopt -ccopt $(FLAGS) -c $<

arm.cmxa: arm.cmx
	ocamlopt -ccopt $(FLAGS) -a -o $@ $<

arm64.mli: arm64.ml
	ocamlc -ccopt $(FLAGS) -i $< > $@

arm64.cmi: arm64.mli
	ocamlc -ccopt $(FLAGS) -c $<

arm64.cmx: arm64.ml arm64.cmi
	ocamlopt -ccopt $(FLAGS) -c $<

arm64.cmxa: arm64.cmx
	ocamlopt -ccopt $(FLAGS) -a -o $@ $<

mips.mli: mips.ml
	ocamlc -ccopt $(FLAGS) -i $< > $@

mips.cmi: mips.mli
	ocamlc -ccopt $(FLAGS) -c $<

mips.cmx: mips.ml mips.cmi
	ocamlopt -ccopt $(FLAGS) -c $<

mips.cmxa: mips.cmx
	ocamlopt -ccopt $(FLAGS) -a -o $@ $<

clean:
	rm -f *.[oa] *.so *.cm[ixoa] *.cmxa *.mli test test_detail test_x86 test_arm test_arm64 test_mips

=== bindings/python/Makefile ===
.PHONY: all clean install install_cython

gen_const:
	cd ..; python const_generator.py python

install:
	# clean up first
	rm -rf build
	# then install
	python setup.py install

# NOTE: Newer cython can be installed by: sudo pip install --upgrade cython
install_cython:
	# Copy code from capstone/ to pyx/
	cp capstone/__init__.py pyx/__init__.py
	cp capstone/capstone.py pyx/capstone.pyx
	cp capstone/arm.py pyx/arm.pyx
	cp capstone/arm_const.py pyx/arm_const.pyx
	cp capstone/arm64.py pyx/arm64.pyx
	cp capstone/arm64_const.py pyx/arm64_const.pyx
	cp capstone/mips.py pyx/mips.pyx
	cp capstone/mips_const.py pyx/mips_const.pyx
	cp capstone/ppc.py pyx/ppc.pyx
	cp capstone/ppc_const.py pyx/ppc_const.pyx
	cp capstone/x86.py pyx/x86.pyx
	cp capstone/x86_const.py pyx/x86_const.pyx
	# clean up first
	rm -rf build
	# then install
	python setup_cython.py install

clean:
	rm -rf capstone/*.pyc
	rm -rf capstone/*.so
	rm -rf capstone/*.c
	rm -rf pyx/*.so
	rm -rf pyx/*.c
	rm -rf *.so *.dll *.pyc *.dylib
	rm -rf pyx/capstone.pyx
	rm -rf pyx/arm.pyx
	rm -rf pyx/arm_const.pyx
	rm -rf pyx/arm64.pyx
	rm -rf pyx/arm64_const.pyx
	rm -rf pyx/mips.pyx
	rm -rf pyx/mips_const.pyx
	rm -rf pyx/ppc.pyx
	rm -rf pyx/ppc_const.pyx
	rm -rf pyx/x86.pyx
	rm -rf pyx/x86_const.pyx

=== packages/freebsd/ports/devel/capstone/Makefile ===
# $FreeBSD$

PORTNAME=	capstone
PORTVERSION=	2.1.2
CATEGORIES=	devel
MASTER_SITES=	http://capstone-engine.org/download/${PORTVERSION}/

MAINTAINER=	oliver.pntr@gmail.com
COMMENT=	Multi-platform, multi-architecture disassembly framework

LICENSE=	BSD3CLAUSE

USES=		gmake
USE_LDCONFIG=	yes

MAKE_ENV+=	INSTALL_LIB="${INSTALL_LIB}" \
		INSTALL_DATA="${INSTALL_DATA}"

post-build:
	# The pkgconfig file is generated and points to stagedir
	${REINPLACE_CMD} -e '/libdir/s|\(libdir=\)\(.*\)\(devel/capstone/work/stage\)|\1|g' ${WRKSRC}/capstone.pc

.include <bsd.port.mk>

=== debian/changelog ===
capstone (2.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename union member "mips" to "mips-arch" to fix FTBFS on mips/mipsel.
    Drop mips_macro_conflict.patch.
    Add capstone-mips.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #755193.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Oct 2014 09:51:47 +0100

capstone (2.1.2-2) unstable; urgency=medium

  * debian/patches/mips_macro_conflict.patch: Remove a compiler macro
    definition that conflicts with the name of a variable in mips, making it
    FTBFS (closes: #755193).  Thanks, Plamen Aleksandrov.

 -- David Martínez Moreno <ender@debian.org>  Tue, 22 Jul 2014 00:59:29 +0200

capstone (2.1.2-1) unstable; urgency=low

  * Initial release (closes: #741028).
    - Build only the Python bindings for now.
  * debian/patches:
    - typos: Added to fix some stuff I spotted.
    - no_usr_lib64: Remove the distinction that makes x86_64 install the
      library in /usr/lib64.
    - use_cppflags: Add the usage of CPPFLAGS to the build in order to have
      proper hardened build.
    - fix_python_bindings: Add necessary includes and library directories to
      build the bindings in the same run as the library itself, together with
      a way to pass arbitrary arguments to setup.py.

 -- David Martínez Moreno <ender@debian.org>  Tue, 06 May 2014 14:44:25 -0700

=== debian/control ===
Source: capstone
Priority: optional
Maintainer: David Martínez Moreno <ender@debian.org>
X-Python-Version: >= 2.7
Build-Depends: debhelper (>= 9),
               quilt,
               dh-python,
               python,
               python2.7,
               python2.7-dev,
               cython (>= 0.19)
Standards-Version: 3.9.5
Section: devel
Homepage: http://www.capstone-engine.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/capstone.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/capstone.git;a=summary

Package: libcapstone-dev
Section: libdevel
Architecture: any
Depends: libcapstone2 (= ${binary:Version}), ${misc:Depends}
Description: lightweight multi-architecture disassembly framework - devel files
 Capstone is a lightweight multi-platform, multi-architecture disassembly
 framework.
 .
 These are the development headers and libraries.

Package: libcapstone2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight multi-architecture disassembly framework - library
 Capstone is a lightweight multi-platform, multi-architecture disassembly
 framework.
 .
 Features:
  - Support hardware architectures: ARM, ARM64 (aka ARMv8), Mips, PowerPC &
 Intel.
  - Clean/simple/lightweight/intuitive architecture-neutral API.
  - Provide details on disassembled instructions (called "decomposer" by some
 others).
  - Provide some semantics of the disassembled instruction, such as list of
 implicit registers read & written.
  - Implemented in pure C language, with bindings for Java, OCaml and Python
 ready to use and Ruby, C#, GO & Vala available on git repos.
  - Native support for Windows & *nix (with OS X, Linux, *BSD & Solaris
 confirmed).
  - Thread-safe by design.
  - Special support for embedding into firmware or OS kernel.
  - Distributed under the open source BSD license.

Package: python-capstone
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: lightweight multi-architecture disassembly framework - Python bindings
 Capstone is a lightweight multi-platform, multi-architecture disassembly
 framework.
 .
 These are the Python 2 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_install:
	dh_auto_install
	cd bindings/python && OPTS="--root=$(CURDIR)/debian/tmp/ --install-layout=deb" make install_cython

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.capstone-engine.org/download.html /download/2.1.2/capstone-(.*).tgz

## capstone 3.0.3+dfsg

=== debian/changelog ===
capstone (3.0.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Added script for stripping non-free content from orig tarball
  * Removed osxkernel_inttypes.h from orig tarball, using said script

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Jun 2015 23:22:12 +0200

capstone (3.0.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
  * Use distutils-based build script for Python bindings so we don't have
    to deal with patching include paths and such.

 -- Hilko Bengen <bengen@debian.org>  Sat, 09 May 2015 14:35:24 +0200

capstone (3.0.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
  * Updated watch file ... again
  * Dropped patch limit_exported_symbols which has been picked up upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 11 Mar 2015 18:40:05 +0100

capstone (3.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #779271)
  * Updated watch file
  * Reworked patches: Patches for lib64 and for dealing with MIPS FTBFS are
    no longer needed. Added change to limit symbols exported by the shared
    library.
  * Enabled parallel builds, added dh_install safeguard
  * Renamed package to reflect SONAME change, added symbols file
  * Bumped Standards-Version
  * Fixed "BSD" entry in debian/copyright
    (lintian: invalid-short-name-in-dep5-copyright)

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Mar 2015 11:34:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python2.7,
                python2.7-dev,
                cython (>= 0.19)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: devel
 Homepage: http://www.capstone-engine.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/capstone.git
@@ -18,14 +18,14 @@
 Package: libcapstone-dev
 Section: libdevel
 Architecture: any
-Depends: libcapstone2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcapstone3 (= ${binary:Version}), ${misc:Depends}
 Description: lightweight multi-architecture disassembly framework - devel files
  Capstone is a lightweight multi-platform, multi-architecture disassembly
  framework.
  .
  These are the development headers and libraries.
 
-Package: libcapstone2
+Package: libcapstone3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\+dfsg//" \
    http://www.capstone-engine.org/download.html /download/.*/capstone-(.*).tgz \
    debian debian/orig-tar.sh
